<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 
if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){ $cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if (isset($_POST['nombre'])){ $nombre=$_POST['nombre'];}
if ( !empty($precio_venta) and !empty($nombre) and !empty($art_id))
{
    
    $sqll=mysqli_query($con,"SELECT trat_art_id FROM trasladoe_detalle_temp WHERE trat_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") ;
    if($roww=mysqli_fetch_array($sqll))
    { 
        $can7=mysqli_query($con,"SELECT * FROM trasladoe_detalle_temp WHERE trat_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
        $dato=mysqli_fetch_array($can7);
    
        $trat_cantidad=$dato['trat_cantidad'];
        $suma=$trat_cantidad+$cantidad;
   

        $can10=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE articulos_art_id ='$art_id' and  empresa='$empresa'") or die(mysqli_error($con));  
        $dat10=mysqli_fetch_array($can10);
        $art_cantidad=$dat10['art_cantidad'];

        if ($suma>$art_cantidad) 
        {?>
        <script type="text/javascript">
        alert("No puede trasladar cantidades mayores al stock");
        </script>
        <?php }

        else
        { 
        
        $registros=mysqli_query($con,"UPDATE trasladoe_detalle_temp Set trat_cantidad='$suma',trat_precio='$precio_venta' 
        Where trat_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
    } } 
    else
    {   
        $insert_tmp=mysqli_query($con,"INSERT INTO trasladoe_detalle_temp (trat_art_id,trat_referencia,trat_nombre,trat_cantidad,trat_precio,usuario,empresa) 
        VALUES ('$art_id','$art_referencia','$nombre','$cantidad','$precio_venta','$usu_id','$empresa')") or die(mysqli_error($con));
    }  
}

 
?>
<table class="table table-bordered table-hover table-striped">
    <tr>
        <th width="15%">CODIGO</th>
        <th width="15%">CANTIDAD</th>
        <th>DESCRIPCION</th>
        <th width="12%"></th>
    </tr>
<?php
    $sumador_total=0;
    $sql=mysqli_query($con, "SELECT * from trasladoe_detalle_temp where usuario='$usu_id' and empresa='$empresa'");
    while ($row=mysqli_fetch_array($sql))
    {
        $id=$row["trat_id"];
        $trat_id=$row["trat_id"];
        $trat_referencia=$row['trat_referencia'];
        $trat_nombre=$row['trat_nombre'];
        $trat_cantidad=$row['trat_cantidad'];
        $trat_precio=$row['trat_precio'];
        $trat_art_id=$row['trat_art_id'];
        
        $precio_total=$trat_precio*$trat_cantidad;
        $sumador_total+=$trat_precio;//Sumador
?>
    <tr>
        <td><?php echo $trat_referencia;?></td>
        <td><?php echo $trat_cantidad;?></td>
        <td><?php echo $trat_nombre;?></td>
        <td >
            <a data-id="<?php echo $id;?>" class="btn btn-edit btn-xs btn-info"> <i class="btn-icon-only icon-edit"></i></a>
            <a href="#" id="del-<?php echo $row["trat_id"];?>" class="btn btn-xs btn-danger"> <i class="btn-icon-only icon-remove"></i></a>
            <?php

            $si=0;
            $no=0;

            $sqls1=mysqli_query($con,"SELECT *,count(*) as contandor_seriales from  seriales_articulos where articulos_art_id='$trat_art_id ' AND estado='sin vender'");
            $rows1=mysqli_fetch_array($sqls1);
           
            $contador=$rows1['contandor_seriales'];
            if ($contador>0) 
            {
                $sqls2=mysqli_query($con,"SELECT *,count(*) as contandor_seriales_tem from  serial_trasladoe_temp where trasladoe_detalle_temp_trat_id  ='$trat_id '");
                $rows2=mysqli_fetch_array($sqls2);

                $contador_tem=$rows2['contandor_seriales_tem'];

                if ($contador_tem==$trat_cantidad) 
                {
                    

                    $sqls3=mysqli_query($con,"SELECT * from serial_trasladoe_temp where trasladoe_detalle_temp_trat_id  ='$trat_id '");
                    while( $rows3=mysqli_fetch_array($sqls3))
                    {
                         $ser_codigo=$rows3['sert_codigo'];

                        $sqls4=mysqli_query($con,"SELECT * from seriales_articulos where se_codigo='$ser_codigo' and articulos_art_id='$trat_art_id'");
                        $rows4=mysqli_fetch_array($sqls4);
                        if ($rows4>0)
                        {
                           
                            $si+=1;
                        }
                        else
                        {
                             $no+=1;
                        }
                    }
                }
                else
                {
                    $no+=1;
                }
            }
            else
            {
                $si+=1;
            }

            if($no>0)
            {
                if($negocio_neg_id=='1')
                {
                    $can1=mysqli_query($con,"SELECT * FROM serial_trasladoe_temp where trasladoe_detalle_temp_trat_id='$trat_id'") or die(mysqli_error($con));
                    $dat=mysqli_fetch_array($can1);
                    $result=mysqli_num_rows($can1);
                    if($result==0)
                    {  ?>

                        <a data-id="<?php echo $id;?>" class="btn btn-ser btn-xs btn-warning" title="Serial"><i class="btn-icon-only icon-barcode"></i></a>
            <?php   } 

                    else 
                    { ?>

                    <a data-id="<?php echo $id;?>" data-toggle="modal" class="btn btn-ser_tabla btn-xs btn-warning" title="Serial"> <i class="btn-icon-only icon-barcode"></i></a>

            <?php   } 
                } 
            }
            else
            {
                if($negocio_neg_id=='1')
                {
                    $can1=mysqli_query($con,"SELECT * FROM serial_trasladoe_temp where trasladoe_detalle_temp_trat_id='$trat_id'") or die(mysqli_error($con));
                    $dat=mysqli_fetch_array($can1);
                    $result=mysqli_num_rows($can1);
                    if($result==0)
                    { ?>

                    <!-- <a data-id="<?php echo $id;?>" class="btn btn-ser btn-xs btn-info" title="Serial"><i class="btn-icon-only icon-barcode"></i></a>-->
                    <?php 
                    } 
                    else 
                    { ?>
                        <a data-id="<?php echo $id;?>" data-toggle="modal" class="btn btn-ser_tabla btn-xs btn-default" title="Serial"> <i class="btn-icon-only icon-barcode"></i></a>
            <?php   } 
                } 
            }?>
            <script>
            $("#del-"+<?php echo $row["trat_id"];?>).click(function(e)
            {
                e.preventDefault();
                p = confirm("Estas seguro?");
                if(p)
                {
                    $.get("./php_traslados_emp/eliminar.php","trat_id="+<?php echo $row["trat_id"];?>,function(data){
                        loadTabla();
                    });
                }
            });
            </script>
        </td>
    </tr>       
<?php } ?>
</table>
       
<script>
$(".btn-edit").click(function(){
    id = $(this).data("id");
    $.get("./php_traslados_emp/form_modificar.php","id="+id,function(data){
        $("#form-edit").html(data);
    });
    $('#editModal').modal('show');
});
</script>
<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Actualizar</h4>
            </div>
            <div class="modal-body">
                <div id="form-edit"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script>
    $(".btn-ser").click(function(){
        id = $(this).data("id");
        $.get("./php_traslados_emp/form_serial.php","id="+id,function(data){
            $("#form-serial").html(data);
        });
        $('#reg_ser').modal('show');
    });
</script>
<div class="modal fade" id="reg_ser" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Agregar Seriales</h4>
            </div>
            <div class="modal-body">
                <div id="form-serial"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<script>
    $(".btn-ser_tabla").click(function(){
        id = $(this).data("id");
        $.get("./php_traslados_emp/form_serial_tabla.php","id="+id,function(data){
            $("#form-tabla_serial").html(data);
        });
        $('#reg_ser_tabla').modal('show');
        
    });
</script>
<div class="modal fade" id="reg_ser_tabla" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Seriales</h4>
            </div>
            <div class="modal-body">
                <div id="form-tabla_serial"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<div class="modal fade" id="n_serial" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Nuevo Serial</h4>
            </div>
            <div class="modal-body">
                <div id="form-n_serial"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->       